summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew McDermott <andrew.mcdermott@linaro.org>2014-05-16 17:17:35 +0100
committerAndrew McDermott <andrew.mcdermott@linaro.org>2014-05-16 17:17:35 +0100
commit2f6d79205784a40e20248b77584eec28141d3ca0 (patch)
tree6574126653b76903124f46d16998cff7cd0f208d
parente87b9ae7501dea6bc4091f989c818693ba0d51de (diff)
create-baseline: script to create a N-GB file via teragen
Signed-off-by: Andrew McDermott <andrew.mcdermott@linaro.org>
-rwxr-xr-xcreate-baseline61
1 files changed, 61 insertions, 0 deletions
diff --git a/create-baseline b/create-baseline
new file mode 100755
index 0000000..731b3de
--- /dev/null
+++ b/create-baseline
@@ -0,0 +1,61 @@
+#!/usr/bin/env bash
+
+# Copyright (C) 2014, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Andrew McDermott <andrew.mcdermott@linaro.org>
+
+# This script creates a baseline file using teragen.
+#
+# Usage: create-baseline <N>
+#
+# where N == number of gigabyte file to create.
+
+THIS_BENCHMARK_DIR="$(cd $(dirname "${BASH_SOURCE[0]}") && pwd -P)"
+
+source $THIS_BENCHMARK_DIR/common.sh
+
+if [ ! -d $THIS_BENCHMARK_DIR/openjdk8-hadoop-LCA14 ]; then
+ echo "error: openjdk8-hadoop-LCA14 directory is missing; run: git submodule update --init"
+fi
+
+mkdir -p $BENCHMARK_RESULTS_DIR
+
+export JAVA_HOME=/usr
+
+cd $THIS_BENCHMARK_DIR/openjdk8-hadoop-LCA14
+. env.sh
+
+which hadoop
+which java
+java -version
+which hdfs
+
+set -eu
+
+stop-all.sh
+rm -rf $HOME/hadoop-tmp
+hdfs namenode -format -force
+start-all.sh
+# Need time for the datanodes to materialise.
+sleep 30
+jps
+hadoop fs -mkdir -p /user/$USER
+teragen $1 ${1}GB
+hadoop fs -copyToLocal /user/$USER/${1}GB $THIS_BENCHMARK_DIR
+stop-all.sh
+
+